ldns_struct_pkt Struct Reference

DNS packet. More...

`#include <packet.h>`

## Data Fields

ldns_hdr * | _header
| Header section.
ldns_rdf * | _answerfrom
| an rdf (A or AAAA) with the IP address of the server it is from
struct timeval | timestamp
| Timestamp of the time the packet was sent or created.
uint32_t | _querytime
| The duration of the query this packet is an answer to.
size_t | _size
| The size of the wire format of the packet in octets.
ldns_rr * | _tsig_rr
| Optional tsig rr.
uint16_t | _edns_udp_size
| EDNS0 available buffer size, see RFC2671.
uint8_t | _edns_extended_rcode
| EDNS0 Extended rcode.
uint8_t | _edns_version
| EDNS Version.
uint8_t | _edns_present
uint16_t | _edns_z
| Reserved EDNS data bits.
ldns_rdf * | _edns_data
| Arbitrary EDNS rdata.
ldns_edns_option_list * | _edns_list
| Structed EDNS data.
ldns_rr_list * | _question
| Question section.
ldns_rr_list * | _answer
| Answer section.
ldns_rr_list * | _authority
| Authority section.
ldns_rr_list * | _additional
| Additional section.

## Detailed Description

DNS packet.

This structure contains a complete DNS packet (either a query or an answer)

It is the complete representation of what you actually send to a nameserver, and what it sends back (assuming you are the client here).

Definition at line 234 of file packet.h.

## Field Documentation

## _header

ldns_hdr* ldns_struct_pkt::_header

Header section.

Definition at line 237 of file packet.h.

## _answerfrom

ldns_rdf* ldns_struct_pkt::_answerfrom

an rdf (A or AAAA) with the IP address of the server it is from

Definition at line 240 of file packet.h.

## timestamp

struct timeval ldns_struct_pkt::timestamp

Timestamp of the time the packet was sent or created.

Definition at line 242 of file packet.h.

## _querytime

uint32_t ldns_struct_pkt::_querytime

The duration of the query this packet is an answer to.

Definition at line 244 of file packet.h.

## _size

size_t ldns_struct_pkt::_size

The size of the wire format of the packet in octets.

Definition at line 246 of file packet.h.

## _tsig_rr

ldns_rr* ldns_struct_pkt::_tsig_rr

Optional tsig rr.

Definition at line 248 of file packet.h.

## _edns_udp_size

uint16_t ldns_struct_pkt::_edns_udp_size

EDNS0 available buffer size, see RFC2671.

Definition at line 250 of file packet.h.

## _edns_extended_rcode

uint8_t ldns_struct_pkt::_edns_extended_rcode

EDNS0 Extended rcode.

Definition at line 252 of file packet.h.

## _edns_version

uint8_t ldns_struct_pkt::_edns_version

EDNS Version.

Definition at line 254 of file packet.h.

## _edns_present

uint8_t ldns_struct_pkt::_edns_present

Definition at line 256 of file packet.h.

## _edns_z

uint16_t ldns_struct_pkt::_edns_z

Reserved EDNS data bits.

Definition at line 258 of file packet.h.

## _edns_data

ldns_rdf* ldns_struct_pkt::_edns_data

Arbitrary EDNS rdata.

Definition at line 260 of file packet.h.

## _edns_list

ldns_edns_option_list* ldns_struct_pkt::_edns_list

Structed EDNS data.

Definition at line 262 of file packet.h.

## _question

ldns_rr_list* ldns_struct_pkt::_question

Question section.

Definition at line 264 of file packet.h.

## _answer

ldns_rr_list* ldns_struct_pkt::_answer

Answer section.

Definition at line 266 of file packet.h.

## _authority

ldns_rr_list* ldns_struct_pkt::_authority

Authority section.

Definition at line 268 of file packet.h.

## _additional

ldns_rr_list* ldns_struct_pkt::_additional

Additional section.

Definition at line 270 of file packet.h.